"""Upgrade datamodel to new ringo version.

Revision ID: 0b93cfc8278d
Revises: 57fad3556c15
Create Date: 2017-06-28 09:17:12.739973

"""

# revision identifiers, used by Alembic.
revision = '0b93cfc8278d'
down_revision = '57fad3556c15'

from alembic import op
import sqlalchemy as sa


INSERTS = """
DELETE FROM nm_action_roles WHERE aid=198 AND rid=4;
INSERT INTO nm_action_roles (aid, rid) VALUES (198, 4);
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    iter_statements(INSERTS)
    op.add_column('actions', sa.Column('admin', sa.Boolean(), server_default='0', nullable=False))
    op.create_unique_constraint(None, 'nm_action_roles', ['aid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_roles', ['uid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_usergroups', ['uid', 'gid'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'nm_user_usergroups', type_='unique')
    op.drop_constraint(None, 'nm_user_roles', type_='unique')
    op.drop_constraint(None, 'nm_action_roles', type_='unique')
    op.drop_column('actions', 'admin')
    # ### end Alembic commands ###
    iter_statements(DELETES)
