"""Change datatype of completeness

Revision ID: 42a8b45d2adf
Revises: 330a0d2cd2ad 
Create Date: 2016-02-29 16:27:12.171386

"""

# revision identifiers, used by Alembic.
revision = '42a8b45d2adf'
down_revision = '330a0d2cd2ad'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE participations set completeness = '';
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.INTEGER(),
               type_=sa.String(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.String(),
               type_=sa.INTEGER(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
