# -+- coding: utf-8-*-
"""EC specific external validators"""

from formbar.form import ValidationException, Validator
from ringo.views.request import get_item_from_request


# EC qualification validators.
def not_no_validator(field, data, context=None):
    value = data[field]
    if value == 0:
        return False
    return True


def matching_validator_factory(request):
    def validator(field, data, request):
        participant = get_item_from_request(request)
        for mpt in participant.matching_participants:
            if mpt.status == 2:
                msg = (u"Teilnahmen werden zukünftig zu "
                       u"Teilnehmenden '{}' übertragen")
                msg = msg.format(mpt.matching_participant.personal_id)
                raise ValidationException(msg)
        return True
    return Validator(None, "", validator, request, triggers="warning")


def matching_validator_factory_for_pn(request):
    def validator(field, data, request):
        participation = get_item_from_request(request)
        for mpt in participation.participant.matching_participants:
            if mpt.status == 2:
                msg = (u"Teilnahme wird zukünftig zu "
                       u"Teilnehmenden '{}' übertragen")
                msg = msg.format(mpt.matching_participant.personal_id)
                raise ValidationException(msg)
        return True
    return Validator(None, "", validator, request, triggers="warning")
